#LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di ogni sorta.
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/ISTAT_MFR_RCFL_Microdati_2009_Primo_trimestre_ESEMPIO_STRUTTURA_FILE.txt", sep="")
Ril_RCFL_2009<- read.delim2 (fileInput,  header=T, sep="^",  quote="",  na.strings = ".")
attr(Ril_RCFL_2009, "label") <- c(
"anno",
"trimestre",
"regione",
"Codice provincia",
"Wave quartina in corso",
"codice grandi comuni",
"Variabile con wording plurimo: vedi questionario (*)",
"Indicare il sesso di NOME",
"NOME  nato in Italia o all'estero?",
"NOME ha la cittadinanza italiana?",
"In quale anno NOME  venuto a vivere in Italia la prima volta?",
"Si ricorda in quale mese?",
"Da quel momento NOME ha sempre vissuto in Italia? Non tenga conto di viaggi, vacanze fuori dall'Italia di durata inferiore ad un anno",
"Da che anno NOME vive in Italia senza allontanarsi per un anno o pi?",
"Si ricorda in quale mese?",
"Qual  il titolo di studio pi elevato che NOME ha conseguito?",
"A quale di questi diplomi fa riferimento?",
"Mi pu dire quale TITOLO DI STUDIO?",
"Si ricorda l'anno in cui ha conseguito il/la TITOLO DI STUDIO?",
"Si ricorda l'et in cui ha conseguito il/la TITOLO DI STUDIO?",
"Si ricorda il mese in cui lo ha conseguito?",
"LA SCORSA SETTIMANA NOME ha svolto almeno un'ora di lavoro? Consideri il lavoro da cui ha ricavato o ricaver un guadagno o il lavoro non pagato solo se effettuato abitualmente presso la ditta di un f",
"Sempre nella settimana che va DA LUNEDI' ... A DOMENICA... NOME aveva comunque un lavoro che non ha svolto, ad esempio: per un periodo limitato di ridotta attivit, per malattia, per vacanza, per cass",
"Qual  il motivo principale per cui non ha lavorato in quella settimana?",
"Variabile con wording plurimo: vedi questionario (*)",
"NOME svolge:",
"Variabile con wording plurimo: vedi questionario (*)",
"Variabile con wording plurimo: vedi questionario (*)",
"Questo periodo di assenza dal lavoro durer meno o pi di tre mesi, da quando  iniziato a quando terminer?",
"Questo periodo di assenza  retribuito almeno in parte?",
"Si tratta di un periodo di aspettativa?",
"Come coadiuvante familiare percepisce una retribuzione?",
"Nella settimana che va DA LUNEDI' ... A DOMENICA ... il contratto era in vigore, cio la data di scadenza era successiva a LUNEDI'?",
"La sua attivit lavorativa  momentaneamente sospesa (ad esempio, per aggiornamento professionale, per ristrutturazione locali, per chiusura stagionale) o  definitivamente conclusa?",
"NOME svolge:",
"Variabile con wording plurimo: vedi questionario (*)",
"Variabile con wording plurimo: vedi questionario (*)",
"Il contratto  finalizzato alla realizzazione di un progetto, si tratta cio di un lavoro a progetto?",
"Il proprietario dell'azienda familiare  uno dei componenti che vivono in questa famiglia?",
"NOME   iscritto ad un albo o ordine professionale?",
"Ha dei dipendenti? Se l'aiutano dei familiari o altre persone senza essere pagati non li consideri",
"NOME lavora per una sola azienda e/o cliente o per pi di una azienda e/o cliente?",
"Variabile con wording plurimo: vedi questionario (*)",
"Variabile con wording plurimo: vedi questionario (*)",
"NOME :",
"NOME ha l'incarico di coordinare il lavoro svolto da altre persone?",
"L'Ente, l'Azienda in cui NOME lavora ha una o pi sedi (o stabilimenti)?",
"Codice a 4 digit ATECO 2002",
"Quante persone lavorano nella sede in cui NOME lavora? Conti anche se stesso e tutti gli altri lavoratori con qualsiasi mansione e qualifica",
"Mi pu dire esattamente il numero di persone?",
"Variabile con wording plurimo: vedi questionario (*)",
"Variabile con wording plurimo: vedi questionario (*)",
"Il lavoro  a termine perch si tratta di:",
"Il suo contratto rientra in una di queste tipologie?",
" Nome  un lavoratore interinale, cio ha un contratto con un'agenzia interinale ma lavora in  un'altra impresa?",
"Per questo lavoro, Nome  retribuito dall'impresa presso la quale lavora o dall'agenzia di lavoro interinale?",
"Nome lavora presso la sede dell'agenzia di lavoro interinale (ad esempio come contabile, amministrativo, responsabile del personale, ecc)?",
"NOME ha accettato un lavoro a tempo determinato perch non vuole un lavoro stabile o perch non ha trovato un lavoro a tempo indeterminato?",
"Variabile con wording plurimo: vedi questionario (*)",
"Lavora part-time (a tempo parziale) perch non vuole un lavoro a tempo pieno, non ha trovato un lavoro a tempo pieno o per altri motivi?",
"Per quale tra questi motivi lavora part-time (a tempo parziale?",
"NOME non lavora pi ore (cio lavora part-time) perch nella zona in cui vive i servizi pubblici e/o privati, cui affidare la cura di bambini o di altre persone bisognose di assistenza, sono assenti, ",
"Variabile con wording plurimo: vedi questionario (*)",
"Considerando le ultime 4 settimane, escludendo l'interruzione per i pasti e gli spostamenti casa-lavoro, NOME mediamente quante ore ha lavorato a settimana?",
"Variabile con wording plurimo: vedi questionario (*)",
"Variabile con wording plurimo: vedi questionario (*)",
"Qual  il motivo principale per cui NOME ha lavorato meno del solito?",
"Rispetto all'orario contrattuale (o all'accordo verbale) LA SETTIMANA SCORSA, DA LUNEDI' ... A DOMENICA ..., NOME ha svolto comunque ore di straordinario retribuito e/o straordinario non retribuito (o",
"Rispetto all'orario contrattuale (o all'accordo verbale) quante ore di straordinario retribuito e/o non retribuito ha fatto?",
"Quante ore di straordinario le verranno retribuite?",
"Complessivamente nella settimana che va DA LUNEDI' ... A DOMENICA ... NOME quante ore ha lavorato?",
"Nella settimana DA LUNEDI' ... A DOMENICA ..., NOME avrebbe voluto lavorare un numero di ore diverso da quelle che ha svolto? Se svolge pi di un lavoro consideri l'orario complessivo",
"Complessivamente nella settimana che va DA LUNEDI' ... A DOMENICA ... quante ore avrebbe voluto lavorare? Se svolge pi di un lavoro consideri l'orario complessivo",
"Nella settimana DA LUNEDI' ... A DOMENICA ..., NOME  in quale dei seguenti modi avrebbe voluto lavorare pi ore?",
"Nella settimana DA LUNEDI'  ... A DOMENICA ... o entro le due settimane successive sarebbe stato disponibile a lavorare pi ore?",
"Per quale motivo non avrebbe potuto?",
"Nelle 4 settimane DAL ... AL ... NOME ha lavorato di sera? (dalle ore 20 alle 23 circa)",
"Nelle 4 settimane DAL ... AL ... NOME ha lavorato di notte? (dopo le ore 23)",
"Nelle 4 settimane DAL ... AL ... NOME ha lavorato di sabato (indipendentemente dall'orario)?",
"Nelle 4 settimane DAL ... AL ... NOME ha lavorato di domenica (indipendentemente  dall'orario)?",
"Per il tipo di lavoro svolto da NOME  prevista una organizzazione a turni, cio si alternano pi lavoratori in particolari orari o giorni della settimana?",
"Nelle 4 settimane DAL ... AL ... NOME ha svolto turni di lavoro?",
"Variabile con wording plurimo: vedi questionario (*)",
"Per iniziare questo lavoro NOME ha dovuto trasferire il suo domicilio/abitazione da un altro Comune?",
"Variabile con wording plurimo: vedi questionario (*)",
"Si ricorda l'et in cui lo ha iniziato?",
"Si ricorda il mese?",
"Si ricorda il giorno?",
"Ha trovato questo lavoro tramite un Centro pubblico per l'impiego, cio l'ex ufficio di collocamento?",
"NOME come  venuto a conoscenza e ha trovato il lavoro? Quale tra questi modi  stato pi utile? (Indicarne solo uno)",
"Questo  il suo primo lavoro?",
"In che anno NOME ha iniziato il suo primo lavoro?",
"Si ricorda l'eta' in cui ha iniziato a lavorare?",
"Oltre al lavoro di cui abbiamo parlato finora, LA SETTIMANA SCORSA, cio DA LUNEDI' ... A DOMENICA ..., NOME aveva anche altri lavori? Consideri qualsiasi lavoro (ad esempio, lezioni private, lavori s",
"Variabile con wording plurimo: vedi questionario (*)",
"Variabile con wording plurimo: vedi questionario (*)",
"NOME svolge:",
"Variabile con wording plurimo: vedi questionario (*)",
"Il contratto  finalizzato alla realizzazione di un progetto, si tratta cio di un lavoro a progetto?",
"Variabile con wording plurimo: vedi questionario (*)",
"NOME  iscritto ad un albo o ordine professionale?",
"Ha dei dipendenti? Se l'aiutano dei familiari o altre persone senza essere pagati non li consideri",
"Codice",
"Nel corso della sua vita, NOME ha mai svolto un lavoro? Consideri il lavoro da cui ha ricevuto un guadagno o il lavoro non pagato solo se effettuato presso l'azienda di un familiare",
"Variabile con wording plurimo: vedi questionario (*)",
"Quanti anni aveva?",
"In che mese?",
"Si ricorda il giorno?",
"NOME svolgeva:",
"Variabile con wording plurimo: vedi questionario (*)",
"Aveva dei dipendenti? Se l'aiutavano dei familiari o altre persone senza essere pagati, non li consideri",
"Codice",
"Qual  il motivo principale per cui NOME ha smesso di lavorare?",
"Qual  il motivo principale per cui NOME ha concluso la sua attivit lavorativa?",
"NOME cerca un altro lavoro?",
"Sta cercando un nuovo lavoro o un secondo lavoro (da aggiungere a quello attuale)?",
"Qual  il motivo principale per cui NOME cerca un altro lavoro?",
"Nel nuovo lavoro vorrebbe lavorare pi o meno ore rispetto a quelle lavorate attualmente?",
"Nelle 4 settimane DAL ... AL ... ha fatto qualcosa per cercare lavoro?",
"Ha avuto contatti con un Centro pubblico per l'impiego (ex Ufficio di collocamento) per cercare lavoro",
"Ha sostenuto un colloquio di lavoro, una selezione presso privati",
"Ha sostenuto prove scritte e/o orali di un concorso pubblico",
"Ha inviato una domanda per partecipare ad un concorso pubblico",
"Ha esaminato offerte di lavoro sui giornali",
"Ha messo inserzioni o ha risposto ad annunci sui giornali",
"Ha fatto domande di lavoro e/o inviato curriculum a privati",
"Ha chiesto a parenti, amici, conoscenti",
"Ha cercato lavoro su Internet",
"Ha avuto contatti con una agenzia interinale o con una struttura di intermediazione diversa da un Centro pubblico per l'impiego",
"Ha cercato terreni, locali, attrezzature per avviare una attivit",
"Ha chiesto permessi, licenze, finanziamenti per avviare una attivit",
"Altra azione (specificare)",
"Collegandosi al sito web di un Centro pubblico per  l'impiego (ex Ufficio di collocamento)",
"Esaminando offerte di lavoro",
"Mettendo inserzioni o rispondendo ad annunci",
"Altro (specificare)",
"NOME cerca un lavoro?",
"Nelle 4 settimane DAL ... AL ... ha fatto qualcosa per cercare lavoro?",
"Quanti mesi sono passati dall'ultima volta che ha fatto qualcosa per cercare lavoro?",
"Qual  il motivo principale per cui NOME non ha cercato un lavoro nelle 4 settimane DAL ... AL ...",
"NOME non ha cercato lavoro perch nella zona in cui vive i servizi pubblici e/o privati, cui affidare la cura di bambini o di altre persone bisognose di assistenza, sono assenti, inadeguati o troppo c",
"Variabile con wording plurimo: vedi questionario (*)",
"Se NOME avesse trovato lavoro nella settimana DA LUNEDI' ... A DOMENICA ... avrebbe potuto iniziare in quella settimana o entro le due settimane successive?",
"Per quale motivo non avrebbe potuto iniziare a lavorare?",
"Ha intenzione di cercare lavoro nei prossimi 12 mesi?",
"Nelle 4 settimane DAL ... AL ... NOME ha avuto contatti con un Centro pubblico per l'Impiego (ex Ufficio di collocamento) per cercare lavoro?",
"Nelle 4 settimane DAL ... AL ... NOME ha sostenuto un colloquio di lavoro, una selezione presso privati?",
"Nelle 4 settimane DAL ... AL ... NOME ha sostenuto le prove scritte e/o orali di un concorso pubblico?",
"Nelle 4 settimane DAL ... AL ... NOME ha inviato una domanda per partecipare ad un concorso pubblico?",
"Nelle 4 settimane DAL ... AL ... NOME ha esaminato offerte di lavoro sui giornali?",
"Nelle 4 settimane DAL ... AL ... NOME ha messo inserzioni sui giornali o ha risposto ad annunci?",
"Nelle 4 settimane DAL ... AL ... NOME ha fatto domande di lavoro e/o ha inviato (o consegnato)  curriculum a privati?",
"Nelle 4 settimane DAL ... AL ... NOME si  rivolto a parenti, amici, conoscenti, sindacati per trovare lavoro?",
"Nelle 4 settimane DAL ... AL ... NOME ha cercato lavoro su Internet?",
"Collegandosi al sito web di un Centro pubblico per  l'impiego (ex Ufficio di collocamento)",
"Esaminando offerte di lavoro",
"Mettendo inserzioni o rispondendo ad annunci",
"Altro (specificare)",
"Nelle 4 settimane DAL ... AL ... NOME ha avuto contatti con una agenzia interinale o con una struttura di intermediazione diversa da un Centro pubblico per l'impiego per cercare lavoro?",
"Nelle 4 settimane DAL ... AL ... NOME ha cercato terreni, locali, attrezzature per avviare una attivit autonoma?",
"Nelle 4 settimane DAL ... AL ... NOME ha chiesto permessi, licenze, finanziamenti per avviare una attivit autonoma?",
"Nelle 4 settimane DAL ... AL ... NOME ha fatto altre azioni di ricerca di lavoro, non comprese tra quelle precedenti?",
"Si, in attesa di risultati di concorsi pubblici",
"Si, in attesa di risposte da aziende, da privati",
"Si, in attesa di una chiamata da un centro per l'impiego",
"No",
"Non sa",
"NOME ha gi trovato un lavoro che deve iniziare?",
"Da quanti mesi NOME sta cercando lavoro?",
"NOME immediatamente prima di iniziare a cercare un lavoro:",
"Se NOME avesse trovato lavoro nella settimana DA LUNEDI' ... A DOMENICA ... avrebbe potuto iniziare in quella settimana o entro le due settimane successive?",
"Per quale motivo non avrebbe potuto iniziare a lavorare?",
"NOME  sta cercando un lavoro in proprio o come dipendente?",
"NOME  sta cercando un lavoro a tempo pieno o part-time (a tempo parziale)?",
"Se NOME non trovasse un lavoro a tempo pieno accetterebbe un lavoro part-time (a tempo parziale)?",
"Se NOME non trovasse un lavoro part-time (a tempo parziale) accetterebbe un lavoro a tempo pieno?",
"Sta cercando un lavoro a termine o a tempo indeterminato (senza una scadenza)?",
"Sarebbe disposto ad accettare un lavoro a termine (con una specifica durata)?",
"Sarebbe disposto a lavorare:",
"Qual  il guadagno minimo mensile (netto) per il quale sarebbe disposto a lavorare?",
"Per quanti mesi ha cercato lavoro prima di trovare questo che sta per iniziare?",
"Immediatamente prima di iniziare a cercare questo lavoro NOME:",
"NOME inizier questo lavoro entro il [DOMENICA+90gg]?",
"Se NOME avesse trovato lavoro nella settimana DA LUNEDI' ... A DOMENICA ... avrebbe potuto iniziare in quella settimana o entro le due settimane successive?",
"Per quale motivo non avrebbe potuto iniziare a lavorare?",
"Il lavoro che sta per iniziare  in proprio o alle dipendenze?",
"Lavorer a tempo pieno o part-time (a tempo parziale)?",
"Si tratta di un lavoro a termine (con una specifica durata)?",
"NOME  mai stato in contatto con un Centro pubblico per l'Impiego (ex Ufficio di collocamento)?",
"NOME si  rivolto ad un Centro pubblico per l'Impiego per cercare lavoro, per avvalersi di altri servizi (ad es. consulenza, orientamento al lavoro o formazione professionale) o per entrambi i motivi?",
"Quando  stata l'ultima volta che NOME ha avuto contatti con un Centro pubblico per l'Impiego?",
"Primo contatto per informazioni",
"Effettuare per la prima volta la dichiarazione di disponibilit al lavoro",
"Rinnovare la dichiarazione di disponibilit al lavoro",
"Iscrizione",
"Confermare lo stato di disoccupazione",
"Verificare l'esistenza di opportunit di lavoro",
"Ha ricevuto un'offerta di lavoro",
"Ha ricevuto un'offerta di partecipazione ad un corso di formazione professionale organizzato e/o riconosciuto dalla Regione",
"Ha ricevuto un'offerta di partecipazione ad un altro tipo di corso di formazione professionale (non della Regione)",
"Ha ricevuto un'offerta di tirocinio",
"Compilare un test attitudinale",
"Consulenza o orientamento per trovare lavoro",
"Aggiornare la cartella personale",
"Altro (specificare)",
"Non sa",
"Nella settimana DA LUNEDI'  ... A DOMENICA ... NOME era iscritto al Centro per l'impiego, cio era ancora valida la sua dichiarazione di disponibilit al lavoro?",
"Quando ha fatto o rinnovato l'ultima volta la dichiarazione di disponibilit al lavoro?",
"S, con una agenzia di lavoro interinale",
"S, con un'altra struttura (pubblica o privata)",
"No",
"Non sa",
"S, da una agenzia di lavoro interinale",
"S, da un'altra struttura (pubblica o privata)",
"No",
"Non sa",
"Nella settimana DA LUNEDI'  ... A DOMENICA ... NOME aveva il sussidio di disoccupazione o  l'indennit di mobilit o, pur avendone maturato il diritto, era in attesa di riscuoterlo?",
"Nelle 4 settimane DAL ... AL ... NOME era iscritto a scuola o all'Universit?",
"Variabile con wording plurimo: vedi questionario (*)",
"A quale corso di istruzione era iscritto o ha intenzione di iscriversi?",
"A quale di questi diplomi fa riferimento?",
"Mi pu dire pi esattamente a quale corso era iscritto?",
"Nelle 4 settimane DAL ... AL ... ha partecipato ad attivit formative, quali ad esempio, corsi di formazione professionale, seminari, conferenze, lezioni private, corsi sportivi, di danza, di musica, ",
"In quelle 4 settimane DAL  ... AL  ... complessivamente quante ore ha dedicato a questa/e attivit formativa/e? Escluda gli spostamenti ed eventuali compiti a casa",
"Variabile con wording plurimo: vedi questionario (*)",
"Qual  l'argomento del corso/attivit cui ha partecipato?",
"NOME ha seguito questo/a corso/attivit prevalentemente:",
"Sempre nelle 4 settimane DAL  ... AL  ... NOME ha seguito questo/a corso/attivit durante l'orario di lavoro?",
"Complessivamente quanto dura questo corso?",
"Per frequentare questo corso  necessario un titolo di studio particolare?",
"Il corso di cui mi ha parlato  terminato?",
"Variabile con wording plurimo: vedi questionario (*)",
"Quanto durava questo corso?",
"Per frequentare questo corso era necessario un titolo di studio particolare?",
"Qual era l'argomento del corso?",
"In che anno ha concluso questo corso?",
"Si ricorda l'et?",
"Si ricorda il mese in cui lo ha concluso?",
"In conclusione, nella settimana DAL ... AL ...  NOME come si considerava:",
"A MESE INDAGINE del ANNO PRECEDENTE INDAGINE NOME era:",
"NOME svolgeva:",
"Variabile con wording plurimo: vedi questionario (*)",
"NOME aveva dei dipendenti? Se l'aiutavano dei familiari o altre persone senza essere pagati non li consideri",
"Il suo lavoro era a termine (lavoro a tempo determinato), oppure non aveva una scadenze (lavoro a tempo indeterminato)?",
"Codice",
"A MESE INDAGINE del ANNO INDAGINE-1  NOME risiedeva a COMUNE?",
"E a MESE INDAGINE del ANNO INDAGINE-2  NOME risiedeva a COMUNE?",
"ripartizione geografica in 5 classi",
"ripartizione geografica in 3 classi",
"et in anni compiuti (con ricodifiche per MFR)",
"classi di et decennali",
"classi di et quinquennali",
"et in 17 classi",
"cittadinanza",
"stato estero di nascita (SG15)",
"cittadinanza (SG17)",
"dove lavora pi spesso (codifica stato estero) (C52)",
"residenza un anno prima (codifica stato estero) (I16)",
"condizione professionale a 3 modalit",
"condizione professionale a 10 modalit",
"posizione nella professione",
"dipendenti - indipendenti attivit principale",
"assente dal lavoro (classificato come occupato: Si - No)",
"posizione nella professione dettagliata",
"lavoro a tempo determinato o indeterminato",
"lavoro a tempo pieno/parziale (per gli occupati)",
"durata del lavoro attuale",
"inizio del lavoro attuale",
"ore complessivamente lavorate",
"professione a 1 digit attivit principale",
"professione attivit principale 3 digit",
"occupation",
"professione attivit principale 4 digit (con ricodifiche per MFR)",
"attivit economica principale 2 digit",
"ateco a 12 classi",
"ateco a 5 classi",
"ateco a 3 classi",
"lavoro fuori dal comune di residenza",
"codice regione dove lavora pi spesso (C51)",
"codice provincia dove lavora pi spesso",
"trasferimento per lavoro attuale",
"codice regione in cui abitava prima (C54)",
"codice provincia in cui abitava prima",
"retribuzione netta del mese scorso",
"monthly (take-home) pay from main job",
"posizione nella professione per il secondo lavoro",
"dipendenti - indipendenti attivit secondaria",
"professione attivit secondaria a 1 digit",
"professione attivit secondaria a 3 digit",
"professione secondaria 4 digit (con ricodifiche per MFR)",
"attivit economica secondaria 2 digit",
"ateco 12 classi per il secondo lavoro",
"ateco 5 classi per il secondo lavoro",
"ateco 3 classi per il secondo lavoro",
"posizione nella professione per le precedenti esperienze di lavoro",
"dipendenti - indipendenti precedenti esperienze di lavoro",
"professione precedente a 1 digit",
"professione precedenti esperienze di lavoro 3 digit",
"professione precedente esperienza di lavoro 4 digit (con ricodifiche per MFR)",
"attivit economica precedente  2 digit",
"ateco 12 classi per le precedenti esperienze di lavoro",
"ateco 5 classi per le precedenti esperienze di lavoro",
"ateco 3 classi per le precedenti esperienze di lavoro",
"posizione nella professione assenti",
"dipendenti - indipendenti assenti",
"posizione nella professione anno precedente",
"dipendenti - indipendenti anno precedente",
"attivit economica 2 digit anno precedente",
"ateco 12 classi anno precedente",
"ateco 5 classi anno precedente",
"ateco 3 classi anno precedente",
"residenza un anno prima",
"codice regione residenza anni precedenti",
"codice provincia residenza anno precedente",
"ha precedenti esperienze",
"durata della non occupazione",
"durata della ricerca",
"durata della disoccupazione",
"highest level of education or training successfully completed",
"coefficiente di riporto all'universo",
"stato civile (con ricodifiche per MFR)",
"relazione di parentela",
"anno di matrimonio",
"codice famiglia per MFR (ricodificato con metodo casuale)",
"codice identificativo dell'individuo all'interno della famiglia per MFR (ricodificato con metodo casuale)",
"numero nucleo 2",
"relazione di parentela nel nucleo 2",
"tipologia familiare (con ricodifiche per MFR)",
"tipo nucleo 2")
save.image (file="Ril_RCFL_2009.RData")
